Bug 14106 - koha-conf.xml paths to zebra libraries are wrong in jessie
Summary: koha-conf.xml paths to zebra libraries are wrong in jessie
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low major (vote)
Assignee: Robin Sheat
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-01 03:50 UTC by Robin Sheat
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14106: koha-start-zebra ensures a correct link exists (2.94 KB, patch)
2015-05-21 03:30 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 14106: fill up the zebra config with a list of modulePaths (4.99 KB, patch)
2015-05-21 03:51 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 14106: patch existing zebra configs with new modulePath (1.93 KB, patch)
2015-05-22 02:40 UTC, Robin Sheat
Details | Diff | Splinter Review
[PASSED QA] Bug 14106: fill up the zebra config with a list of modulePaths (5.05 KB, patch)
2015-05-22 14:12 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 14106: patch existing zebra configs with new modulePath (2.00 KB, patch)
2015-05-22 14:12 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14106: (QA followup) avoid failures if no instances created (2.35 KB, patch)
2015-05-22 15:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14106: (RM followup) sick of failing tests in Jessie (3.05 KB, patch)
2015-10-24 02:01 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2015-05-01 03:50:43 UTC
On jessie, doing a zebra reindex will cause errors like:

15:10:47-01/05 zebraidx(16108) [warn] No such record type: dom./etc/koha/zebradb/biblios/etc/dom-config.xml

A workaround is documented here:

http://wiki.koha-community.org/wiki/Troubleshooting_Zebra#No_such_record_type

However we need to get it working out of the box, and to be backwards compatible. My plan is:

* have koha-start-zebra check for the location of mod-dom.so, probably searching through a predefined list.
* have it create a symlink inside /var/lib/koha that points to the right directory for the libraries.
* update the zebra*.cfg templates so that they point to the new symlink location
* as part of postinst, update the configuration for currently installed files so that they point to the symlink location.

This'll mean that it'll work on all the layouts of the zebra libraries that we care to handle.
Comment 1 Robin Sheat 2015-05-21 03:30:58 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2015-05-21 03:46:12 UTC
Comment on attachment 39356 [details] [review]
Bug 14106: koha-start-zebra ensures a correct link exists

Turns out this is unnecessary, we can put multiple paths directly into the zebra configuration.
Comment 3 Robin Sheat 2015-05-21 03:51:47 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2015-05-22 02:40:35 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2015-05-22 14:12:33 UTC
Created attachment 39410 [details] [review]
[PASSED QA] Bug 14106: fill up the zebra config with a list of modulePaths

This adds the full list of paths that debian might use for zebra to the
search path for modules.

It also means we can say we support s390x architecture. Whatever that is.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 6 Tomás Cohen Arazi 2015-05-22 14:12:42 UTC
Created attachment 39411 [details] [review]
[PASSED QA] Bug 14106: patch existing zebra configs with new modulePath

This patches the zebra configuration of existing Koha installations so
that their modulePath will work on newer Debian (and presumably Ubuntu)
releases.

Testing:
* Install a package built with this patch onto a system with instances
  created by an older Koha version.
* Check that the files in /etc/koha/sites/*/zebra-*.cfg have the new
  modulePath: directive rather than the old one.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 7 Tomás Cohen Arazi 2015-05-22 14:21:21 UTC
Patches pushed to master.

Good job Robin!
Comment 8 Tomás Cohen Arazi 2015-05-22 15:31:03 UTC
Created attachment 39429 [details] [review]
Bug 14106: (QA followup) avoid failures if no instances created

If there are no instances already created on install/upgrade, the
koha-common.postinst script hungs in the absence of files to fix
and keeps waiting for user input.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Robin Sheat 2015-05-22 23:15:33 UTC
oh, good catch on that last one. Thanks!
Comment 10 Liz Rea 2015-05-24 22:56:17 UTC
Marking for inclusion in 3.18.x
Comment 11 Liz Rea 2015-06-22 22:34:59 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 12 Liz Rea 2015-06-22 23:55:08 UTC
Note to self to include "This makes Koha 3.18 compatible with Debian (Jessie)" in the release notes.
Comment 13 Mason James 2015-10-02 08:44:02 UTC
(In reply to Liz Rea from comment #12)
> Note to self to include "This makes Koha 3.18 compatible with Debian
> (Jessie)" in the release notes.

curious, would this be a problem in 3.16.x too?
Comment 14 Robin Sheat 2015-10-04 23:57:01 UTC
(In reply to Mason James from comment #13)
> (In reply to Liz Rea from comment #12)
> > Note to self to include "This makes Koha 3.18 compatible with Debian
> > (Jessie)" in the release notes.
> 
> curious, would this be a problem in 3.16.x too?

Yep.
Comment 15 Tomás Cohen Arazi 2015-10-24 02:01:10 UTC
Created attachment 43886 [details] [review]
Bug 14106: (RM followup) sick of failing tests in Jessie

This patch adds the original fix for source installs too...

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>